Preview a schedule
Preview what an on-call schedule would look like without saving it.
A Schedule determines the time periods that users are On-Call.
For more information see the API Concepts Document
Scoped OAuth requires: schedules.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The start of the date range over which you want to search.
date-timeThe end of the date range over which you want to search.
date-timeAny on-call schedule entries that pass the date range bounds will be truncated at the bounds, unless the parameter overflow=true is passed. This parameter defaults to false.
For instance, if your schedule is a rotation that changes daily at midnight UTC, and your date range is from 2011-06-01T10:00:00Z to 2011-06-01T14:00:00Z:
- If you don't pass the
overflow=trueparameter, you will get one schedule entry returned with a start of2011-06-01T10:00:00Zand end of2011-06-01T14:00:00Z. - If you do pass the
overflow=trueparameter, you will get one schedule entry returned with a start of2011-06-01T00:00:00Zand end of2011-06-02T00:00:00Z.
falseHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
The schedule to be previewed.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
Create one or more overrides POST
Create one or more overrides, each for a specific user covering a specified time range. If you create an override on top of an existing override, the last created override will have priority. A Schedule determines the time periods that users are On-Call. Note: An older implementation of this endpoint only supported creating a single ocverride per request. That functionality is still supported, but deprecated and may be removed in the future. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#schedules) Scoped OAuth requires: `schedules.write`
Create a schedule POST
Create a new on-call schedule. A Schedule determines the time periods that users are On-Call. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#schedules) Scoped OAuth requires: `schedules.write`